Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class AnyHolder

    java.lang.Object
      |
      +--org.omg.CORBA.AnyHolder

All Implemented Interfaces:
  Streamable

public final class AnyHolder
extends Object
implements Streamable

The Holder for `Any`. For more information on Holder files, see "Generated Files: Holder Files".

A Holder class for `Any` objects that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `any` as an "out" or "inout" parameter, the programmer must pass an instance of `AnyHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myAnyHolder` is an instance of `AnyHolder`, the value stored in its `value` field can be accessed with `myAnyHolder.value`.

Since:
  JDK1.2

Field Summary
`Any` | `value` The `Any` value held by this `AnyHolder` object.

Constructor Summary
`AnyHolder()` Constructs a new `AnyHolder` object with its `value` field initialized to `null`.
`AnyHolder(Any initial)` Constructs a new `AnyHolder` object for the given `Any` object.

Method Summary
`void` | `_read(InputStream input)` Reads from `input` and initalizes the value in the Holder with the unmarshalled data.
`TypeCode` | `_type()` Returns the `TypeCode` object corresponding to the value held in this `AnyHolder` object.
`void` | `_write(OutputStream output)` Marshals to `output` the value in this `AnyHolder` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Any value

  The `Any` value held by this `AnyHolder` object.

Constructor Detail

### AnyHolder

    public AnyHolder()

  Constructs a new `AnyHolder` object with its `value` field initialized to `null`.

### AnyHolder

    public AnyHolder(Any initial)

  Constructs a new `AnyHolder` object for the given `Any` object.

Parameters:
  `initial` - the `Any` object with which to initialize the `value` field of the new `AnyHolder` object

Method Detail

### _read

    public void _read(InputStream input)

  Reads from `input` and initalizes the value in the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the InputStream containing CDR formatted data from the wire.

### _write

    public void _write(OutputStream output)

  Marshals to `output` the value in this `AnyHolder` object.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the OutputStream which will contain the CDR formatted data.

### _type

    public TypeCode _type()

  Returns the `TypeCode` object corresponding to the value held in this `AnyHolder` object.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the TypeCode of the value held in this `AnyHolder` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.